//	BME280/VFD使用 時計兼環境センサー表示器
//	『昼夜逆転』工作室	http://jsdiy.starfree.jp
//	2023/08	main()から分離

#pragma once

#include <Arduino.h>
#include <WiFi.h>		//IPAddress
#include "Bme280.hpp"	//TBme280IntDec
#include "VfdFIP9B8.hpp"

class	Display
{
private:
	VfdFIP9B8	vfd;
	String	tmToString(const struct tm* tmInfo, const char* fmt);

public:
	Display(void) {}
	void	initialize(void) { vfd.initialize(); }
	void	clear(void) { vfd.clear(); }
	uint8_t	gridMax(void) { return vfd.gridMax(); }

	void	displayDate(const struct tm* tmInfo);
	void	displayTime(const struct tm* tmInfo);
	uint8_t	displayString(uint8_t grid, String str);
	void	displayTemperature(const TBme280IntDec* te);
	void	displayHumidity(const TBme280IntDec* hu);
	void	displayPressure(const TBme280IntDec* pr);
	void	displayLux(uint16_t lux);
	void	displayIPAddress(const IPAddress& addr);
	void	displayTimeAndSensorValue(const struct tm& timeInfo, const TBme280Value& tValue, const uint16_t lux);
};
